// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/order_web/fast_deal_web.proto

package order_web

import (
	order "gitlab.com/fcpartners/apis/gen/order/v1/order"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

var File_v1_order_web_fast_deal_web_proto protoreflect.FileDescriptor

var file_v1_order_web_fast_deal_web_proto_rawDesc = []byte{
	0x0a, 0x20, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x77, 0x65, 0x62, 0x2f, 0x66,
	0x61, 0x73, 0x74, 0x5f, 0x64, 0x65, 0x61, 0x6c, 0x5f, 0x77, 0x65, 0x62, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x12, 0x16, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x77, 0x65, 0x62, 0x1a, 0x13, 0x76, 0x31, 0x2f, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2f, 0x65, 0x6e, 0x75, 0x6d, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a,
	0x1e, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x5f,
	0x66, 0x61, 0x73, 0x74, 0x5f, 0x64, 0x65, 0x61, 0x6c, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x32,
	0xa2, 0x13, 0x0a, 0x0f, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x53, 0x65, 0x72, 0x76,
	0x69, 0x63, 0x65, 0x12, 0x67, 0x0a, 0x13, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44,
	0x65, 0x61, 0x6c, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x12, 0x2e, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x50, 0x72, 0x6f, 0x63,
	0x65, 0x73, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x6f, 0x0a, 0x17,
	0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x50, 0x72, 0x6f, 0x63,
	0x65, 0x73, 0x73, 0x54, 0x79, 0x70, 0x65, 0x12, 0x32, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73,
	0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73,
	0x54, 0x79, 0x70, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x71, 0x0a,
	0x18, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x50, 0x72, 0x6f,
	0x64, 0x75, 0x63, 0x74, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x12, 0x33, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c,
	0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x50, 0x72, 0x6f, 0x64, 0x75,
	0x63, 0x74, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x63, 0x0a, 0x11, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c,
	0x42, 0x72, 0x61, 0x6e, 0x64, 0x12, 0x2c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x46,
	0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x42, 0x72, 0x61, 0x6e, 0x64, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x67, 0x0a, 0x13, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73,
	0x74, 0x44, 0x65, 0x61, 0x6c, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x12, 0x2e, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x50, 0x72,
	0x6f, 0x64, 0x75, 0x63, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x7b,
	0x0a, 0x1d, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x44, 0x65,
	0x6c, 0x69, 0x76, 0x65, 0x72, 0x79, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x12,
	0x38, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61,
	0x6c, 0x44, 0x65, 0x6c, 0x69, 0x76, 0x65, 0x72, 0x79, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69,
	0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44,
	0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x79, 0x0a, 0x1c, 0x4c,
	0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x50, 0x61, 0x79, 0x6d, 0x65,
	0x6e, 0x74, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x37, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x50, 0x61, 0x79,
	0x6d, 0x65, 0x6e, 0x74, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x7b, 0x0a, 0x1d, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61,
	0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x4c, 0x6f, 0x67, 0x69, 0x73, 0x74, 0x69, 0x63, 0x73, 0x4f,
	0x70, 0x65, 0x72, 0x61, 0x74, 0x6f, 0x72, 0x12, 0x38, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73,
	0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x4c, 0x6f, 0x67, 0x69, 0x73, 0x74, 0x69,
	0x63, 0x73, 0x4f, 0x70, 0x65, 0x72, 0x61, 0x74, 0x6f, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x63, 0x0a, 0x11, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44,
	0x65, 0x61, 0x6c, 0x53, 0x74, 0x61, 0x74, 0x65, 0x12, 0x2c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69,
	0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x53, 0x74, 0x61, 0x74, 0x65, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x61, 0x0a, 0x10, 0x4c, 0x69, 0x73, 0x74,
	0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x43, 0x69, 0x74, 0x79, 0x12, 0x2b, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x43, 0x69,
	0x74, 0x79, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44,
	0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x70, 0x0a, 0x11, 0x4c,
	0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x4e, 0x61, 0x6d, 0x65, 0x73,
	0x12, 0x2c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65,
	0x61, 0x6c, 0x4e, 0x61, 0x6d, 0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2d,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c,
	0x4e, 0x61, 0x6d, 0x65, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x5e, 0x0a,
	0x0b, 0x47, 0x65, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x12, 0x26, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x47, 0x65, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x27, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x47, 0x65, 0x74, 0x46, 0x61, 0x73,
	0x74, 0x44, 0x65, 0x61, 0x6c, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x61, 0x0a,
	0x0c, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x12, 0x27, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x28, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74,
	0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x7c, 0x0a, 0x15, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c,
	0x49, 0x74, 0x65, 0x6d, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x12, 0x30, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c,
	0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x49, 0x74, 0x65, 0x6d, 0x41,
	0x67, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x31, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x49, 0x74, 0x65,
	0x6d, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x6c,
	0x0a, 0x0e, 0x52, 0x65, 0x6a, 0x65, 0x63, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c,
	0x12, 0x29, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x52, 0x65, 0x6a, 0x65, 0x63, 0x74, 0x46, 0x61, 0x73, 0x74,
	0x44, 0x65, 0x61, 0x6c, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2a, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x52, 0x65, 0x6a, 0x65, 0x63, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x03, 0x88, 0x02, 0x01, 0x12, 0x6f, 0x0a, 0x0f,
	0x41, 0x70, 0x70, 0x72, 0x6f, 0x76, 0x65, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x12,
	0x2a, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x41, 0x70, 0x70, 0x72, 0x6f, 0x76, 0x65, 0x46, 0x61, 0x73, 0x74,
	0x44, 0x65, 0x61, 0x6c, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2b, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x41, 0x70, 0x70, 0x72, 0x6f, 0x76, 0x65, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x03, 0x88, 0x02, 0x01, 0x12, 0x61, 0x0a,
	0x0c, 0x44, 0x6f, 0x6e, 0x65, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x12, 0x27, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x44, 0x6f, 0x6e, 0x65, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x28, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x6f, 0x6e, 0x65,
	0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x85, 0x01, 0x0a, 0x18, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x53, 0x74, 0x61, 0x74, 0x75,
	0x73, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x49, 0x74, 0x65, 0x6d, 0x12, 0x33, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61,
	0x6c, 0x49, 0x74, 0x65, 0x6d, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x1a, 0x34, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x46, 0x61,
	0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x49, 0x74, 0x65, 0x6d, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x6a, 0x0a, 0x0f, 0x47, 0x65, 0x74, 0x46,
	0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x46, 0x69, 0x6c, 0x65, 0x12, 0x2a, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x47, 0x65, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x46, 0x69, 0x6c, 0x65,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2b, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x47, 0x65, 0x74,
	0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x6d, 0x0a, 0x10, 0x4c, 0x69, 0x73, 0x74, 0x46, 0x61, 0x73, 0x74,
	0x44, 0x65, 0x61, 0x6c, 0x46, 0x69, 0x6c, 0x65, 0x12, 0x2b, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69,
	0x73, 0x74, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x46,
	0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x6a, 0x0a, 0x0f, 0x41, 0x64, 0x64, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65,
	0x61, 0x6c, 0x46, 0x69, 0x6c, 0x65, 0x12, 0x2a, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x41, 0x64, 0x64, 0x46,
	0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x1a, 0x2b, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x41, 0x64, 0x64, 0x46, 0x61, 0x73, 0x74, 0x44,
	0x65, 0x61, 0x6c, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x73, 0x0a, 0x12, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61,
	0x6c, 0x46, 0x69, 0x6c, 0x65, 0x12, 0x2d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74,
	0x65, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x2e, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65,
	0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x42, 0x53, 0x0a, 0x19, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x61, 0x70, 0x69, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x77, 0x65,
	0x62, 0x50, 0x01, 0x5a, 0x31, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f,
	0x66, 0x63, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f,
	0x67, 0x65, 0x6e, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x5f, 0x77, 0x65, 0x62, 0xba, 0x02, 0x00, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x33,
}

var file_v1_order_web_fast_deal_web_proto_goTypes = []interface{}{
	(*order.ListFastDealProcessRequest)(nil),           // 0: fcp.order.v1.order.ListFastDealProcessRequest
	(*order.ListFastDealProcessTypeRequest)(nil),       // 1: fcp.order.v1.order.ListFastDealProcessTypeRequest
	(*order.ListFastDealProductGroupRequest)(nil),      // 2: fcp.order.v1.order.ListFastDealProductGroupRequest
	(*order.ListFastDealBrandRequest)(nil),             // 3: fcp.order.v1.order.ListFastDealBrandRequest
	(*order.ListFastDealProductRequest)(nil),           // 4: fcp.order.v1.order.ListFastDealProductRequest
	(*order.ListFastDealDeliveryConditionRequest)(nil), // 5: fcp.order.v1.order.ListFastDealDeliveryConditionRequest
	(*order.ListFastDealPaymentConditionRequest)(nil),  // 6: fcp.order.v1.order.ListFastDealPaymentConditionRequest
	(*order.ListFastDealLogisticsOperatorRequest)(nil), // 7: fcp.order.v1.order.ListFastDealLogisticsOperatorRequest
	(*order.ListFastDealStateRequest)(nil),             // 8: fcp.order.v1.order.ListFastDealStateRequest
	(*order.ListFastDealCityRequest)(nil),              // 9: fcp.order.v1.order.ListFastDealCityRequest
	(*order.ListFastDealNamesRequest)(nil),             // 10: fcp.order.v1.order.ListFastDealNamesRequest
	(*order.GetFastDealRequest)(nil),                   // 11: fcp.order.v1.order.GetFastDealRequest
	(*order.ListFastDealRequest)(nil),                  // 12: fcp.order.v1.order.ListFastDealRequest
	(*order.ListFastDealItemAgentRequest)(nil),         // 13: fcp.order.v1.order.ListFastDealItemAgentRequest
	(*order.RejectFastDealRequest)(nil),                // 14: fcp.order.v1.order.RejectFastDealRequest
	(*order.ApproveFastDealRequest)(nil),               // 15: fcp.order.v1.order.ApproveFastDealRequest
	(*order.DoneFastDealRequest)(nil),                  // 16: fcp.order.v1.order.DoneFastDealRequest
	(*order.UpdateFastDealItemStatusRequest)(nil),      // 17: fcp.order.v1.order.UpdateFastDealItemStatusRequest
	(*order.GetFastDealFileRequest)(nil),               // 18: fcp.order.v1.order.GetFastDealFileRequest
	(*order.ListFastDealFileRequest)(nil),              // 19: fcp.order.v1.order.ListFastDealFileRequest
	(*order.AddFastDealFileRequest)(nil),               // 20: fcp.order.v1.order.AddFastDealFileRequest
	(*order.DeleteFastDealFileRequest)(nil),            // 21: fcp.order.v1.order.DeleteFastDealFileRequest
	(*order.DictResponse)(nil),                         // 22: fcp.order.v1.order.DictResponse
	(*order.ListFastDealNamesResponse)(nil),            // 23: fcp.order.v1.order.ListFastDealNamesResponse
	(*order.GetFastDealResponse)(nil),                  // 24: fcp.order.v1.order.GetFastDealResponse
	(*order.ListFastDealResponse)(nil),                 // 25: fcp.order.v1.order.ListFastDealResponse
	(*order.ListFastDealItemAgentResponse)(nil),        // 26: fcp.order.v1.order.ListFastDealItemAgentResponse
	(*order.RejectFastDealResponse)(nil),               // 27: fcp.order.v1.order.RejectFastDealResponse
	(*order.ApproveFastDealResponse)(nil),              // 28: fcp.order.v1.order.ApproveFastDealResponse
	(*order.DoneFastDealResponse)(nil),                 // 29: fcp.order.v1.order.DoneFastDealResponse
	(*order.UpdateFastDealItemStatusResponse)(nil),     // 30: fcp.order.v1.order.UpdateFastDealItemStatusResponse
	(*order.GetFastDealFileResponse)(nil),              // 31: fcp.order.v1.order.GetFastDealFileResponse
	(*order.ListFastDealFileResponse)(nil),             // 32: fcp.order.v1.order.ListFastDealFileResponse
	(*order.AddFastDealFileResponse)(nil),              // 33: fcp.order.v1.order.AddFastDealFileResponse
	(*order.DeleteFastDealFileResponse)(nil),           // 34: fcp.order.v1.order.DeleteFastDealFileResponse
}
var file_v1_order_web_fast_deal_web_proto_depIdxs = []int32{
	0,  // 0: fcp.order.v1.order_web.FastDealService.ListFastDealProcess:input_type -> fcp.order.v1.order.ListFastDealProcessRequest
	1,  // 1: fcp.order.v1.order_web.FastDealService.ListFastDealProcessType:input_type -> fcp.order.v1.order.ListFastDealProcessTypeRequest
	2,  // 2: fcp.order.v1.order_web.FastDealService.ListFastDealProductGroup:input_type -> fcp.order.v1.order.ListFastDealProductGroupRequest
	3,  // 3: fcp.order.v1.order_web.FastDealService.ListFastDealBrand:input_type -> fcp.order.v1.order.ListFastDealBrandRequest
	4,  // 4: fcp.order.v1.order_web.FastDealService.ListFastDealProduct:input_type -> fcp.order.v1.order.ListFastDealProductRequest
	5,  // 5: fcp.order.v1.order_web.FastDealService.ListFastDealDeliveryCondition:input_type -> fcp.order.v1.order.ListFastDealDeliveryConditionRequest
	6,  // 6: fcp.order.v1.order_web.FastDealService.ListFastDealPaymentCondition:input_type -> fcp.order.v1.order.ListFastDealPaymentConditionRequest
	7,  // 7: fcp.order.v1.order_web.FastDealService.ListFastDealLogisticsOperator:input_type -> fcp.order.v1.order.ListFastDealLogisticsOperatorRequest
	8,  // 8: fcp.order.v1.order_web.FastDealService.ListFastDealState:input_type -> fcp.order.v1.order.ListFastDealStateRequest
	9,  // 9: fcp.order.v1.order_web.FastDealService.ListFastDealCity:input_type -> fcp.order.v1.order.ListFastDealCityRequest
	10, // 10: fcp.order.v1.order_web.FastDealService.ListFastDealNames:input_type -> fcp.order.v1.order.ListFastDealNamesRequest
	11, // 11: fcp.order.v1.order_web.FastDealService.GetFastDeal:input_type -> fcp.order.v1.order.GetFastDealRequest
	12, // 12: fcp.order.v1.order_web.FastDealService.ListFastDeal:input_type -> fcp.order.v1.order.ListFastDealRequest
	13, // 13: fcp.order.v1.order_web.FastDealService.ListFastDealItemAgent:input_type -> fcp.order.v1.order.ListFastDealItemAgentRequest
	14, // 14: fcp.order.v1.order_web.FastDealService.RejectFastDeal:input_type -> fcp.order.v1.order.RejectFastDealRequest
	15, // 15: fcp.order.v1.order_web.FastDealService.ApproveFastDeal:input_type -> fcp.order.v1.order.ApproveFastDealRequest
	16, // 16: fcp.order.v1.order_web.FastDealService.DoneFastDeal:input_type -> fcp.order.v1.order.DoneFastDealRequest
	17, // 17: fcp.order.v1.order_web.FastDealService.UpdateStatusFastDealItem:input_type -> fcp.order.v1.order.UpdateFastDealItemStatusRequest
	18, // 18: fcp.order.v1.order_web.FastDealService.GetFastDealFile:input_type -> fcp.order.v1.order.GetFastDealFileRequest
	19, // 19: fcp.order.v1.order_web.FastDealService.ListFastDealFile:input_type -> fcp.order.v1.order.ListFastDealFileRequest
	20, // 20: fcp.order.v1.order_web.FastDealService.AddFastDealFile:input_type -> fcp.order.v1.order.AddFastDealFileRequest
	21, // 21: fcp.order.v1.order_web.FastDealService.DeleteFastDealFile:input_type -> fcp.order.v1.order.DeleteFastDealFileRequest
	22, // 22: fcp.order.v1.order_web.FastDealService.ListFastDealProcess:output_type -> fcp.order.v1.order.DictResponse
	22, // 23: fcp.order.v1.order_web.FastDealService.ListFastDealProcessType:output_type -> fcp.order.v1.order.DictResponse
	22, // 24: fcp.order.v1.order_web.FastDealService.ListFastDealProductGroup:output_type -> fcp.order.v1.order.DictResponse
	22, // 25: fcp.order.v1.order_web.FastDealService.ListFastDealBrand:output_type -> fcp.order.v1.order.DictResponse
	22, // 26: fcp.order.v1.order_web.FastDealService.ListFastDealProduct:output_type -> fcp.order.v1.order.DictResponse
	22, // 27: fcp.order.v1.order_web.FastDealService.ListFastDealDeliveryCondition:output_type -> fcp.order.v1.order.DictResponse
	22, // 28: fcp.order.v1.order_web.FastDealService.ListFastDealPaymentCondition:output_type -> fcp.order.v1.order.DictResponse
	22, // 29: fcp.order.v1.order_web.FastDealService.ListFastDealLogisticsOperator:output_type -> fcp.order.v1.order.DictResponse
	22, // 30: fcp.order.v1.order_web.FastDealService.ListFastDealState:output_type -> fcp.order.v1.order.DictResponse
	22, // 31: fcp.order.v1.order_web.FastDealService.ListFastDealCity:output_type -> fcp.order.v1.order.DictResponse
	23, // 32: fcp.order.v1.order_web.FastDealService.ListFastDealNames:output_type -> fcp.order.v1.order.ListFastDealNamesResponse
	24, // 33: fcp.order.v1.order_web.FastDealService.GetFastDeal:output_type -> fcp.order.v1.order.GetFastDealResponse
	25, // 34: fcp.order.v1.order_web.FastDealService.ListFastDeal:output_type -> fcp.order.v1.order.ListFastDealResponse
	26, // 35: fcp.order.v1.order_web.FastDealService.ListFastDealItemAgent:output_type -> fcp.order.v1.order.ListFastDealItemAgentResponse
	27, // 36: fcp.order.v1.order_web.FastDealService.RejectFastDeal:output_type -> fcp.order.v1.order.RejectFastDealResponse
	28, // 37: fcp.order.v1.order_web.FastDealService.ApproveFastDeal:output_type -> fcp.order.v1.order.ApproveFastDealResponse
	29, // 38: fcp.order.v1.order_web.FastDealService.DoneFastDeal:output_type -> fcp.order.v1.order.DoneFastDealResponse
	30, // 39: fcp.order.v1.order_web.FastDealService.UpdateStatusFastDealItem:output_type -> fcp.order.v1.order.UpdateFastDealItemStatusResponse
	31, // 40: fcp.order.v1.order_web.FastDealService.GetFastDealFile:output_type -> fcp.order.v1.order.GetFastDealFileResponse
	32, // 41: fcp.order.v1.order_web.FastDealService.ListFastDealFile:output_type -> fcp.order.v1.order.ListFastDealFileResponse
	33, // 42: fcp.order.v1.order_web.FastDealService.AddFastDealFile:output_type -> fcp.order.v1.order.AddFastDealFileResponse
	34, // 43: fcp.order.v1.order_web.FastDealService.DeleteFastDealFile:output_type -> fcp.order.v1.order.DeleteFastDealFileResponse
	22, // [22:44] is the sub-list for method output_type
	0,  // [0:22] is the sub-list for method input_type
	0,  // [0:0] is the sub-list for extension type_name
	0,  // [0:0] is the sub-list for extension extendee
	0,  // [0:0] is the sub-list for field type_name
}

func init() { file_v1_order_web_fast_deal_web_proto_init() }
func file_v1_order_web_fast_deal_web_proto_init() {
	if File_v1_order_web_fast_deal_web_proto != nil {
		return
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_order_web_fast_deal_web_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   0,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_v1_order_web_fast_deal_web_proto_goTypes,
		DependencyIndexes: file_v1_order_web_fast_deal_web_proto_depIdxs,
	}.Build()
	File_v1_order_web_fast_deal_web_proto = out.File
	file_v1_order_web_fast_deal_web_proto_rawDesc = nil
	file_v1_order_web_fast_deal_web_proto_goTypes = nil
	file_v1_order_web_fast_deal_web_proto_depIdxs = nil
}
